.post {
    padding: 1rem;
    margin: 1rem 0 1rem 0;
    background-color: rgb(from var(--color) r g b / 10%);
    border-radius: 6px;
}
.post p {
    margin: 0;
}
.post .post-title {
    border-bottom: 1px solid rgb(from var(--color) r g b / 50%);
    margin-bottom: 1rem;
}
.post .post-content {
    font-size: 22px;
}
.post .post-stats {
    margin-top: 1rem;
}

.user-space {
    position: relative;
}
.user-space .info {
    padding: 1rem;
}
.user-space .avatar {
    position: absolute;
    left: 12px;
    bottom: -20px;
}
.user-space .cover {
    display: block;
    width: 100%;
    height: 200px;
    border-radius: 6px;
    background-color: rgb(from var(--color) r g b / 30%);
    background-repeat: no-repeat;
    background-position: 50% 50%;
}

.user-info {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
}
.user-info .user-title {
    display: flex;
    align-items: center;
    gap: .5rem;
    margin: 1rem 0 1rem 0;
}
.user-info .user-title h1,
.user-info .user-title h2,
.user-info .user-title h3,
.user-info .user-title h5,
.user-info .user-title h4,
.user-info .user-title h6 {
    margin: 0;
}
.user-info .user-stats {
    display: flex;
    gap: 2rem;
}
.user-info .user-stats .stat {
    display: flex;
    flex-direction: column;
    text-align: center;
}
.user-info .user-stats .stat .value {
    font-size: 18px;
    font-weight: 600;
}